[ubuntu/precise] ncurses 5.9-2 (Accepted)

Matthias Klose doko at ubuntu.com
Thu Oct 13 21:05:36 UTC 2011


ncurses (5.9-2) unstable; urgency=low

  * Build libncurses and libncursesw with "--with-termlib" and split out
    libtinfo* packages to allow building a libreadline that does not link
    against libncurses.  Thanks to Matthias Klose for the initial patch.
    (Closes: #631592)
    - Add Pre-dependency on libtinfo5 to libncurses5 to prevent possible
      symbol lookup errors if libncurses5 is unpacked before libtinfo5.
    - Replace the libncurses{w,}.so symlinks with linker scripts.  Since
      lintian does not like those in multiarch paths, temporarily add
      overrides (see #639735).
    - Remove spurious leftover libncurses5.so.5 symlinks (Closes: #224450,
      LP: #836246).
  * Ship the ncurses.supp file in libtinfo-dev (Closes: #627474).
  * Configure all library builds except libncurses5 with "--without-progs"
    to reduce build time a bit.
  * Add build-arch and build-indep targets to debian/rules.
  * Use dh_install's "--fail-missing" option.
  * Build for multiarch (Closes: #638281).
    - Mark libncurses5, libncursesw5, libtinfo5 and their -dev counterparts
      as Multi-Arch: same.
    - Mark ncurses-bin as Multi-Arch: foreign.
  * New patch 03-debian-ncursesconfig-omit-L.diff to omit the "-L" part
    from "ncurses5-config --libs" (see #638281).
  * Add rxvt-256color and rxvt-88color entries to debian/rxvt.ti
    (Closes: #638189).
  * Bump debhelper compatibility level to 8.
  * Upgrade Standards-Version to 3.9.2, no changes needed.

Date: Thu,  13 Oct 2011 21:05:12 +0000
Changed-By: Matthias Klose <doko at ubuntu.com>
Maintainer: Craig Small <csmall at debian.org>
Origin: Debian/testing
https://launchpad.net/ubuntu/precise/+source/ncurses/5.9-2
-------------- next part --------------
Origin: Debian/testing
Format: 1.7
Date: Thu,  13 Oct 2011 21:05:12 +0000
Source: ncurses
Binary: libncurses5, libtinfo5, libtinfo-dev, libtinfo5-dbg, libncurses5-dev, libncurses5-dbg, libncursesw5, libncursesw5-dev, libncursesw5-dbg, lib64ncurses5, lib64ncurses5-dev, lib32ncurses5, lib32ncurses5-dev, lib32ncursesw5, lib32ncursesw5-dev, lib64tinfo5, lib32tinfo5, lib32tinfo-dev, ncurses-bin, ncurses-base, ncurses-term, ncurses-examples, ncurses-doc
Architecture: source
Version: 5.9-2
Distribution: precise
Urgency: low
Maintainer: Craig Small <csmall at debian.org>
Changed-By: Matthias Klose <doko at ubuntu.com>
Closes: 224450 627474 631592 638189 638281
Launchpad-bugs-fixed: 836246
Files:
 cb864e0ba20dc35f154946288cd2b3a6 58601 libs required ncurses_5.9-2.debian.tar.gz
 2e9cbf1d9e6ff96ccea071323ebe0a4d 2453 libs required ncurses_5.9-2.dsc
Changes:
 ncurses (5.9-2) unstable; urgency=low
 .
   * Build libncurses and libncursesw with "--with-termlib" and split out
     libtinfo* packages to allow building a libreadline that does not link
     against libncurses.  Thanks to Matthias Klose for the initial patch.
     (Closes: #631592)
     - Add Pre-dependency on libtinfo5 to libncurses5 to prevent possible
       symbol lookup errors if libncurses5 is unpacked before libtinfo5.
     - Replace the libncurses{w,}.so symlinks with linker scripts.  Since
       lintian does not like those in multiarch paths, temporarily add
       overrides (see #639735).
     - Remove spurious leftover libncurses5.so.5 symlinks (Closes: #224450,
       LP: #836246).
   * Ship the ncurses.supp file in libtinfo-dev (Closes: #627474).
   * Configure all library builds except libncurses5 with "--without-progs"
     to reduce build time a bit.
   * Add build-arch and build-indep targets to debian/rules.
   * Use dh_install's "--fail-missing" option.
   * Build for multiarch (Closes: #638281).
     - Mark libncurses5, libncursesw5, libtinfo5 and their -dev counterparts
       as Multi-Arch: same.
     - Mark ncurses-bin as Multi-Arch: foreign.
   * New patch 03-debian-ncursesconfig-omit-L.diff to omit the "-L" part
     from "ncurses5-config --libs" (see #638281).
   * Add rxvt-256color and rxvt-88color entries to debian/rxvt.ti
     (Closes: #638189).
   * Bump debhelper compatibility level to 8.
   * Upgrade Standards-Version to 3.9.2, no changes needed.



More information about the Precise-changes mailing list